GET

List Apps

Use this API to return a list of all Apps in a OneLogin account.

Resource URL

https://<subdomain>.onelogin.com/api/2/apps

Header Parameters

Authorization

required

string

Set to bearer <access_token>.

Set <access_token> to the access token you generated using the Generate Token API.

The access token must have been generated using an API credential pair created using the scope required to call this API. This API can be called using any one of the following scopes: Manage All, Read All.

Query Parameters

Standard pagination is supported. Max page limit is 1000. See Pagination for detail on how this works. Not all available parameters are returned by default.

Many of the search tools described in our Getting Started documentation can be applied to your parameters, allowing you to fine-tune your results.

name

string

The name or partial name of the app to search for. When using a partial name you must append a wildcard *

e.g. GET /apps?name=workday*

connector_id

number

Returns all apps based off a specific connector. See List Connectors for a complete list of Connector IDs.

auth_method

number

Returns all apps based of a given type.

  • 0 - Password
  • 1 - OpenId
  • 2 - SAML
  • 3 - API
  • 4 - Google
  • 6 - Forms Based App
  • 7 - WSFED
  • 8 - OpenId Connect

Sample Responses

[
  {
      "id": 1061937,
      "connector_id": 50534,
      "auth_method": 2,
      "auth_method_description": "SAML2.0",
      "name": "Amazon Web Services (AWS) Multi Role",
      "description": "",
      "updated_at": "2020-01-14T21:21:06Z",
      "created_at": "2020-01-14T21:21:06Z",
      "visible": true
  },
  ...
]

Typically, this error means that your access token value is invalid.

{
    "message": "Unauthorized",
    "statusCode": 401,
    "name": "UnauthorizedError"
}

Indicates that the syntax of the request is good but a value supplied is not valid.

{
    "message": "invalid value in \"auth_method\"",
    "statusCode": 422,
    "name": "UnprocessableEntityError"
}

Response Elements

idApps unique ID in OneLogin.
connector_idID of the apps underlying connector.
nameApp name.
descriptionFreeform description of the app.
notesFreeform notes about the app.
visibleIndicates if the app is visible in the OneLogin portal.
auth_methodAn ID indicating the type of app. See above for possible values.
created_atThe date the app was created.
updated_atThe date the app was last updated.
tab_idID of the OneLogin portal tab that the app is assigned to.Not returned by default
allow_assumed_signinIndicates whether or not administrators can access the app as a user that they have assumed control over.Not returned by default

Postman Collection

Run In Postman

Sample Code

cURL

Replace sample values indicated by < > with your actual values.

List Apps

curl 'https://<subdomain>.onelogin.com/api/2/apps' \
-X GET \
-H "Authorization: bearer <access_token>"